# InputType

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the type, min, max, step, and mode properties to associate to the \<input> element in a [TextBox](/api/wisej.web/editors/wisej.web.textbox.md) control. See <https://www.w3schools.com/tags/att\\_input\\_type.asp>.

{% tabs %}
{% tab title="C#" %}

```csharp
public class InputType : ICloneable
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class InputType
    Inherits ICloneable
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Max

[String](https://docs.microsoft.com/dotnet/api/system.string): Specifies the maximum value allowed. See <https://www.w3schools.com/tags/att\\_input\\_type.asp>. (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Min

[String](https://docs.microsoft.com/dotnet/api/system.string): Specifies the minimum value allowed. See <https://www.w3schools.com/tags/att\\_input\\_type.asp>. (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Mode

[TextBoxMode](/api/wisej.web/editors/wisej.web.textboxmode.md): Specifies the type of data that might be entered by the user while editing the element or its contents. See <https://developer.mozilla.org/en-US/docs/Web/HTML/Global\\_attributes/inputmode>. (Default: `Text`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Step

[Nullable\<Double>](https://docs.microsoft.com/dotnet/api/system.nullable-1): Specifies the legal number intervals. See <https://www.w3schools.com/tags/att\\_input\\_type.asp>. (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Type

[TextBoxType](/api/wisej.web/editors/wisej.web.textboxtype.md): Specifies the type of \<input> element to display. See <https://www.w3schools.com/tags/att\\_input\\_type.asp>. (Default: `Text`)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/editors/wisej.web.inputtype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
